MsWksDBParserInternal::Form Class Reference

a class used to store a form More...

## Public Member Functions
| Form ()
| the constructor

## Public Attributes
std::string | m_name
| the form name
MWAWBox2f | m_bdbox [3]
| three bdbox : the last is the page bdbox
std::vector< FormType > | m_listTypes
| the list of fields type

## Friends
std::ostream & | operator<< (std::ostream &o, Form const &form)
| operator<<

## Detailed Description

a class used to store a form

## Constructor & Destructor Documentation

## ◆ Form()

MsWksDBParserInternal::Form::Form | ( |  | ) |
| inline

the constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Form const & | form )
| friend

operator<<

## Member Data Documentation

## ◆ m_bdbox

MWAWBox2f MsWksDBParserInternal::Form::m_bdbox[3]

three bdbox : the last is the page bdbox

Referenced by operator<<, and MsWksDBParser::readForm().

## ◆ m_listTypes

std::vector<FormType> MsWksDBParserInternal::Form::m_listTypes

the list of fields type

Referenced by Form(), MsWksDBParser::readFormTypes(), and MsWksDBParser::readFormV2().

## ◆ m_name

std::string MsWksDBParserInternal::Form::m_name

the form name

Referenced by Form(), operator<<, and MsWksDBParser::readForm().

The documentation for this class was generated from the following file:

- MsWksDBParser.cxx